# Uses of Enum Class
javafx.scene.shape.StrokeLineCap

Packages that use StrokeLineCap
Package
Description
javafx.scene.canvas
Provides the set of classes for canvas, an immediate mode style of rendering API.
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of StrokeLineCap in javafx.scene.canvas

Methods in javafx.scene.canvas that return StrokeLineCap
Modifier and Type
Method
Description
`StrokeLineCap`
GraphicsContext.`getLineCap()`
Gets the current stroke line cap.
Methods in javafx.scene.canvas with parameters of type StrokeLineCap
Modifier and Type
Method
Description
`void`
GraphicsContext.`setLineCap(StrokeLineCap cap)`
Sets the current stroke line cap.

## Uses of StrokeLineCap in javafx.scene.layout

Methods in javafx.scene.layout that return StrokeLineCap
Modifier and Type
Method
Description
`final StrokeLineCap`
BorderStrokeStyle.`getLineCap()`
The end cap style of this `Shape` as one of the following values that define possible end cap styles: `StrokeLineCap.BUTT`, `StrokeLineCap.ROUND`, and `StrokeLineCap.SQUARE`.
Constructors in javafx.scene.layout with parameters of type StrokeLineCap
Modifier
Constructor
Description
``
`BorderStrokeStyle(StrokeType type, StrokeLineJoin lineJoin, StrokeLineCap lineCap, double miterLimit, double dashOffset, List<Double> dashArray)`
Creates a new BorderStrokeStyle.

## Uses of StrokeLineCap in javafx.scene.shape

Methods in javafx.scene.shape that return StrokeLineCap
Modifier and Type
Method
Description
`final StrokeLineCap`
Shape.`getStrokeLineCap()`
Gets the value of the `strokeLineCap` property.
`static StrokeLineCap`
StrokeLineCap.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StrokeLineCap[]`
StrokeLineCap.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type StrokeLineCap
Modifier and Type
Method
Description
`final ObjectProperty<StrokeLineCap>`
Shape.`strokeLineCapProperty()`
The end cap style of this `Shape` as one of the following values that define possible end cap styles: `StrokeLineCap.BUTT`, `StrokeLineCap.ROUND`, and `StrokeLineCap.SQUARE`.
Methods in javafx.scene.shape with parameters of type StrokeLineCap
Modifier and Type
Method
Description
`final void`
Shape.`setStrokeLineCap(StrokeLineCap value)`
Sets the value of the `strokeLineCap` property.